Name:           perl-Class-XSAccessor
Version:        1.19
Release:        19
Summary:        Generate fast XS accessors without runtime compilation
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-XSAccessor
Source0:        https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/Class-XSAccessor-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-devel
BuildRequires:  perl-interpreter perl-generators perl(Test::More) perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Class::XSAccessor::Heavy\\)

%description
Class::XSAccessor implements fast read, write and read/write accessors in
XS. Additionally, it can provide predicates such as has_foo() for testing
whether the attribute foo is defined in the object. It only works with
objects that are implemented as ordinary hashes. Class::XSAccessor::Array
implements the same interface for objects that use arrays for their
internal representation.

%package_help

%prep
%setup -q -n Class-XSAccessor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class*

%files help
%{_mandir}/man3/Class::*

%changelog
* Wed May 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.19-19
- Add build requires of perl-devel

* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.19-18
- revise requires_exclude

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.19-17
- Package init
